services:
  nuxt-app:
    build:
      context: .
      args:
        - API_BASE_URL=${API_BASE_URL}
        - CLIENT_ID=${CLIENT_ID}
        - CLIENT_SECRET=${CLIENT_SECRET}
    container_name: freekake-nuxt-container
    ports:
      - "3000:80"
    env_file:
      - .env
    environment:
      - API_BASE_URL=${API_BASE_URL}
      - CLIENT_ID=${CLIENT_ID}
      - CLIENT_SECRET=${CLIENT_SECRET}
    restart: unless-stopped
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/nginx.conf:ro
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"
